Bug 461605 - ntop segfaulted
ntop segfaulted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ntop (Show other bugs)
9
i386 Linux
urgent Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 465304
  Show dependency treegraph
 
Reported: 2008-09-09 08:31 EDT by Pavel Alexeev
Modified: 2008-10-02 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 10:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2008-09-09 08:31:05 EDT
Description of problem:
ntop segfaulted nafter start.

Version-Release number of selected component (if applicable):
# rpm -q ntop
ntop-3.3.6-5.fc10.i386


How reproducible:
Sartntop whithout arguments.

Actual results:
[root@x-www yum.repos.d]# ntop
Tue Sep  9 16:29:47 2008  NOTE: Interface merge enabled by default
Tue Sep  9 16:29:47 2008  Initializing gdbm databases
Tue Sep  9 16:29:47 2008  ntop will be started as user ntop
Tue Sep  9 16:29:47 2008  ntop v.3.3.6 Fedora RPM
Tue Sep  9 16:29:47 2008  Configured on Aug 12 2008 14:21:50, built on Aug 12 2008 14:22:05.
Tue Sep  9 16:29:47 2008  Copyright 1998-2007 by Luca Deri <deri@ntop.org>
Tue Sep  9 16:29:47 2008  Get the freshest ntop from http://www.ntop.org/
Tue Sep  9 16:29:47 2008  NOTE: ntop is running from 'ntop'
Tue Sep  9 16:29:47 2008  NOTE: (but see warning on man page for the --instance parameter)
Tue Sep  9 16:29:47 2008  NOTE: ntop libraries are in '/usr/lib'
Tue Sep  9 16:29:47 2008  Initializing ntop
Tue Sep  9 16:29:47 2008  No patterns to load: protocol guessing disabled.
Tue Sep  9 16:29:47 2008  Checking eth0 for additional devices
Tue Sep  9 16:29:47 2008  Resetting traffic statistics for device eth0
Tue Sep  9 16:29:47 2008  Initializing device eth0 (0)
Tue Sep  9 16:29:47 2008  DLT: Device 0 [eth0] is 1, mtu 1514, header 14
Tue Sep  9 16:29:47 2008  Initializing gdbm databases
Tue Sep  9 16:29:47 2008  VENDOR: Loading MAC address table.
Tue Sep  9 16:29:47 2008  VENDOR: Checking for MAC address table file
Tue Sep  9 16:29:47 2008  VENDOR: File '/etc/ntop/specialMAC.txt.gz' does not need to be reloaded
Tue Sep  9 16:29:47 2008  VENDOR: ntop continues ok
Tue Sep  9 16:29:47 2008  VENDOR: Checking for MAC address table file
Tue Sep  9 16:29:47 2008  VENDOR: File '/etc/ntop/oui.txt.gz' does not need to be reloaded
Tue Sep  9 16:29:47 2008  VENDOR: ntop continues ok
Tue Sep  9 16:29:47 2008  Fingerprint: Loading signature file
Tue Sep  9 16:29:47 2008  Fingerprint: Checking for Fingerprint file... file
Tue Sep  9 16:29:47 2008  Fingerprint: Loading file '/etc/ntop/etter.finger.os.gz'
Tue Sep  9 16:29:47 2008  Fingerprint: ...loaded 0 records
Tue Sep  9 16:29:47 2008  ASN: Checking for Autonomous System Number table file
Tue Sep  9 16:29:47 2008  **WARNING** ASN: Unable to open file 'AS-list.txt'
Tue Sep  9 16:29:47 2008  I18N: Default language (from ntop host) is 'C'
Tue Sep  9 16:29:47 2008  I18N: This instance of ntop supports 0 additional language(s)
Tue Sep  9 16:29:47 2008  IP2CC: Checking for IP address <-> Country Code mapping file
Tue Sep  9 16:29:47 2008  IP2CC: Loading file '/etc/ntop/p2c.opt.table.gz'
Tue Sep  9 16:29:48 2008  IP2CC: ...found 52395 lines
Tue Sep  9 16:29:48 2008  **ERROR** Failed to connect to MySQL: Access denied for user 'root'@'localhost' (using password: NO) [localhost:root::ntop]
Tue Sep  9 16:29:48 2008  Initializing external applications
Tue Sep  9 16:29:48 2008  THREADMGMT[t3058645904]: SFP: Fingerprint scan thread starting [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t3058645904]: SFP: Started thread for fingerprinting
Tue Sep  9 16:29:48 2008  THREADMGMT[t3047938960]: SIH: Idle host scan thread starting [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t3047938960]: SIH: Started thread for idle hosts detection
Tue Sep  9 16:29:48 2008  THREADMGMT[t3037449104]: DNSAR(1): Address resolution thread running
Tue Sep  9 16:29:48 2008  THREADMGMT[t3037449104]: DNSAR(1): Started thread for DNS address resolution
Tue Sep  9 16:29:48 2008  THREADMGMT[t3026959248]: DNSAR(2): Address resolution thread running
Tue Sep  9 16:29:48 2008  THREADMGMT[t3026959248]: DNSAR(2): Started thread for DNS address resolution
Tue Sep  9 16:29:48 2008  THREADMGMT[t3016469392]: DNSAR(3): Address resolution thread running
Tue Sep  9 16:29:48 2008  THREADMGMT[t3016469392]: DNSAR(3): Started thread for DNS address resolution
Tue Sep  9 16:29:48 2008  Calling plugin start functions (if any)
Tue Sep  9 16:29:48 2008  SSL is present but https is disabled: use -W <https port> for enabling it
Tue Sep  9 16:29:48 2008  INITWEB: Initializing web server
Tue Sep  9 16:29:48 2008  INITWEB: Initializing TCP/IP socket connections for web server
Tue Sep  9 16:29:48 2008  INITWEB: Initialized socket, port 3000, address (any)
Tue Sep  9 16:29:48 2008  INITWEB: Waiting for HTTP connections on port 3000
Tue Sep  9 16:29:48 2008  INITWEB: Starting web server
Tue Sep  9 16:29:48 2008  THREADMGMT[t3005979536]: WEB: Server connection thread starting [p8378]
Tue Sep  9 16:29:48 2008  Note: SIGPIPE handler set (ignore)
Tue Sep  9 16:29:48 2008  THREADMGMT[t3005979536]: WEB: Server connection thread running [p8378]
Tue Sep  9 16:29:48 2008  WEB: ntop's web server is now processing requests
Tue Sep  9 16:29:48 2008  THREADMGMT[t3005979536]: INITWEB: Started thread for web server
Tue Sep  9 16:29:48 2008  Listening on [eth0]
Tue Sep  9 16:29:48 2008  Loading Plugins
Tue Sep  9 16:29:48 2008  Searching for plugins in /usr/lib/ntop/plugins
Tue Sep  9 16:29:48 2008  LASTSEEN: Welcome to Host Last Seen. (C) 1999 by Andrea Marangoni
Tue Sep  9 16:29:48 2008  ICMP: Welcome to ICMP Watch. (C) 1999-2005 by Luca Deri
Tue Sep  9 16:29:48 2008  NETFLOW: Welcome to NetFlow.(C) 2002-08 by Luca Deri
Tue Sep  9 16:29:48 2008  PDA: Welcome to PDA. (C) 2001-2005 by L.Deri and W.Brock
Tue Sep  9 16:29:48 2008  Remote: Welcome to Remote. (C) 2006-07 by L.Deri
Tue Sep  9 16:29:48 2008  RRD: Welcome to Round-Robin Databases. (C) 2002-07 by Luca Deri.
Tue Sep  9 16:29:48 2008  SFLOW: Welcome to sFlow.(C) 2002-04 by Luca Deri
Tue Sep  9 16:29:48 2008  Calling plugin start functions (if any)
Tue Sep  9 16:29:48 2008  RRD: Welcome to the RRD plugin
Tue Sep  9 16:29:48 2008  RRD: Mask for new directories is 0700
Tue Sep  9 16:29:48 2008  RRD: Mask for new files is 0066
Tue Sep  9 16:29:48 2008  RRD_DEBUG: Parameters:
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpInterval 300 seconds
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpShortInterval 10 seconds
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpHours 72 hours by 300 seconds
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpDays 90 days by hour
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpMonths 36 months by day
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpDomains no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpFlows no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpSubnets no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpHosts no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpInterfaces yes
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpASs no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpMatrix no
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     dumpDetail medium
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     hostsFilter 
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [normal]
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [dynamic/volatile]
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     umask 0066
Tue Sep  9 16:29:48 2008  RRD_DEBUG:     DirPerms 0700
Tue Sep  9 16:29:48 2008  THREADMGMT[t2995489680]: RRD: Data collection thread starting [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT: RRD: Started thread (t2995489680) for data collection
Tue Sep  9 16:29:48 2008  INIT: Created pid file (/var/run/ntop.pid)
Tue Sep  9 16:29:48 2008  THREADMGMT[t3087710000]: ntop RUNSTATE: INITNONROOT(3)
Tue Sep  9 16:29:48 2008  Now running as requested user 'ntop' (497:496)
Tue Sep  9 16:29:48 2008  Note: Reporting device initally set to 0 [eth0] (merged)
Tue Sep  9 16:29:48 2008  THREADMGMT[t3087710000]: ntop RUNSTATE: RUN(4)
Tue Sep  9 16:29:48 2008  THREADMGMT[t2984999824]: NPS(eth0): pcapDispatch thread starting [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t3058645904]: SFP: Fingerprint scan thread running [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t3047938960]: SIH: Idle host scan thread running [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t2984999824]: NPS(eth0): pcapDispatch thread running [p8378]
Tue Sep  9 16:29:48 2008  THREADMGMT[t2984999824]: NPS(1): Started thread for network packet sniffing [eth0]
Segmentation fault

Additional info:
Run on Fedora 9, ntop from rawhide.
Comment 1 Rakesh Pandit 2008-09-29 07:57:06 EDT
Mon 29 Sep 2008 05:09:43 PM IST  Now running as requested user 'ntop' (493:486)
Mon 29 Sep 2008 05:09:43 PM IST  Note: Reporting device initally set to 0 [eth0] (merged)
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t3086997296]: ntop RUNSTATE: RUN(4)
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t2977930128]: NPS(eth0): pcapDispatch thread starting [p18099]
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t2977930128]: NPS(eth0): pcapDispatch thread running [p18099]
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t3040869264]: SIH: Idle host scan thread running [p18099]
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t3053325200]: SFP: Fingerprint scan thread running [p18099]
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t2988419984]: RRD: Data collection thread starting [p18099]
Mon 29 Sep 2008 05:09:43 PM IST  THREADMGMT[t2977930128]: NPS(1): Started thread for network packet sniffing [eth0]
Mon 29 Sep 2008 05:09:53 PM IST  THREADMGMT[t2967440272]: RRD: Started thread for throughput data collection
Mon 29 Sep 2008 05:09:53 PM IST  THREADMGMT[t2988419984]: RRD: Data collection thread running [p18099]
Mon 29 Sep 2008 05:09:53 PM IST  THREADMGMT[t2967440272]: RRD: Throughput data collection: Thread starting [p18099]
Mon 29 Sep 2008 05:09:53 PM IST  THREADMGMT[t2967440272]: RRD: Throughput data collection: Thread running [p18099]




It did not segfaulted on my F-9 with http://koji.fedoraproject.org/packages/ntop/3.3.6/5.fc9/i386/ntop-3.3.6-5.fc9.i386.rpm which is F-9 build

Neither could I reproduce on rawhide. May you check with F-9 rpm on F-9 rather then rawhide rpm

Also if it still breaks, a coredump will be very helpful
Just do 
ulimit -c unlimited and coredump will be generated, which you can attach here.
In case bug persist, please reopen.

For now I am closing it as WORKSFORME

In case you are able to reproduce, please REOPEN if possible with a coredump thanks
Comment 2 Pavel Alexeev 2008-09-29 09:06:26 EDT
I'm reinstall from stable updates:
# rpm -q ntop
ntop-3.3.6-5.fc9.i386
but problem persists.

Excuse me, but an you explain how make coredump (or may be provide link to FAQ f.e.)? I run
ulimit -c unlimited
ntop

ntop is segfaulted, but I not see any new files in current directory.
Comment 3 Rakesh Pandit 2008-09-29 09:16:11 EDT
Aah! sorry I messed it up, this is an rpm and you wouldn't get a coredump unless you are building from source. :(

sadly I am not able to reproduce. I will open this bug again and check ...
Comment 4 Pavel Alexeev 2008-09-29 09:32:21 EDT
I can rebuild it from src.rpm, what options I should add to get possibility make coredumps?
Comment 5 Rakesh Pandit 2008-09-29 10:13:04 EDT
it will help if you install ntop-debuginfo and then you can either generate core dump and provide me trace using gdb. I could not find any wiki page but

This one will help you:
http://linux.byexamples.com/archives/29/generate-coredumps-to-help-developer-for-debugging

You will get this debuginfo package from 
 enable updates-debuginfo or fedora-debuginfo or both 

In case problem persist, please report me here.

Thanks
Comment 6 Rakesh Pandit 2008-09-29 12:31:35 EDT
In case you are finding problems looking for debuginfo rpm, here it is:
http://koji.fedoraproject.org/packages/ntop/3.3.6/5.fc9/i386/ntop-debuginfo-3.3.6-5.fc9.i386.rpm

In case there is any other issue, bother you from providing a trace here, please point it out.

Thanks
Comment 7 Pavel Alexeev 2008-09-29 16:54:37 EDT
No, I have not problems to search rpms.

I'm install ntop-debuginfo, but it is not help me:

[root@x-www ~]# ulimit -c unlimited
[root@x-www ~]# mkdir ntop-core
[root@x-www ~]# cd ntop-core/
[root@x-www ntop-core]# export LANG=C
[root@x-www ntop-core]# ntop 
Mon Sep 29 18:25:04 2008  NOTE: Interface merge enabled by default
Mon Sep 29 18:25:04 2008  Initializing gdbm databases
Mon Sep 29 18:25:04 2008  ntop will be started as user ntop
Mon Sep 29 18:25:04 2008  ntop v.3.3.6 Fedora RPM
Mon Sep 29 18:25:04 2008  Configured on Aug 12 2008 14:19:45, built on Aug 12 2008 14:19:55.
Mon Sep 29 18:25:04 2008  Copyright 1998-2007 by Luca Deri <deri@ntop.org>
Mon Sep 29 18:25:04 2008  Get the freshest ntop from http://www.ntop.org/
Mon Sep 29 18:25:04 2008  NOTE: ntop is running from 'ntop'
Mon Sep 29 18:25:04 2008  NOTE: (but see warning on man page for the --instance parameter)
Mon Sep 29 18:25:04 2008  NOTE: ntop libraries are in '/usr/lib'
Mon Sep 29 18:25:04 2008  Initializing ntop
Mon Sep 29 18:25:04 2008  No patterns to load: protocol guessing disabled.
Mon Sep 29 18:25:04 2008  Checking eth0 for additional devices
Mon Sep 29 18:25:04 2008  Resetting traffic statistics for device eth0
Mon Sep 29 18:25:04 2008  Initializing device eth0 (0)
Mon Sep 29 18:25:04 2008  DLT: Device 0 [eth0] is 1, mtu 1514, header 14
Mon Sep 29 18:25:04 2008  Initializing gdbm databases
Mon Sep 29 18:25:04 2008  VENDOR: Loading MAC address table.
Mon Sep 29 18:25:04 2008  VENDOR: Checking for MAC address table file
Mon Sep 29 18:25:04 2008  VENDOR: File '/etc/ntop/specialMAC.txt.gz' does not need to be reloaded
Mon Sep 29 18:25:04 2008  VENDOR: ntop continues ok
Mon Sep 29 18:25:04 2008  VENDOR: Checking for MAC address table file
Mon Sep 29 18:25:04 2008  VENDOR: File '/etc/ntop/oui.txt.gz' does not need to be reloaded
Mon Sep 29 18:25:04 2008  VENDOR: ntop continues ok
Mon Sep 29 18:25:04 2008  Fingerprint: Loading signature file
Mon Sep 29 18:25:04 2008  Fingerprint: Checking for Fingerprint file... file
Mon Sep 29 18:25:04 2008  Fingerprint: Loading file '/etc/ntop/etter.finger.os.gz'
Mon Sep 29 18:25:04 2008  Fingerprint: ...loaded 0 records
Mon Sep 29 18:25:04 2008  ASN: Checking for Autonomous System Number table file
Mon Sep 29 18:25:04 2008  **WARNING** ASN: Unable to open file 'AS-list.txt'
Mon Sep 29 18:25:04 2008  I18N: Default language (from ntop host) is 'C'
Mon Sep 29 18:25:04 2008  I18N: This instance of ntop supports 0 additional language(s)
Mon Sep 29 18:25:04 2008  IP2CC: Checking for IP address <-> Country Code mapping file
Mon Sep 29 18:25:04 2008  IP2CC: Loading file '/etc/ntop/p2c.opt.table.gz'
Mon Sep 29 18:25:05 2008  IP2CC: ...found 52395 lines
Mon Sep 29 18:25:05 2008  **ERROR** Failed to connect to MySQL: Access denied for user 'root'@'localhost' (using password: NO) [localhost:root::ntop]
Mon Sep 29 18:25:05 2008  Initializing external applications
Mon Sep 29 18:25:05 2008  THREADMGMT[t3057384336]: SFP: Fingerprint scan thread starting [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t3057384336]: SFP: Started thread for fingerprinting
Mon Sep 29 18:25:05 2008  THREADMGMT[t3046677392]: SIH: Idle host scan thread starting [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t3046677392]: SIH: Started thread for idle hosts detection
Mon Sep 29 18:25:05 2008  THREADMGMT[t3036187536]: DNSAR(1): Address resolution thread running
Mon Sep 29 18:25:05 2008  THREADMGMT[t3036187536]: DNSAR(1): Started thread for DNS address resolution
Mon Sep 29 18:25:05 2008  THREADMGMT[t3025697680]: DNSAR(2): Address resolution thread running
Mon Sep 29 18:25:05 2008  THREADMGMT[t3025697680]: DNSAR(2): Started thread for DNS address resolution
Mon Sep 29 18:25:05 2008  THREADMGMT[t3015207824]: DNSAR(3): Address resolution thread running
Mon Sep 29 18:25:05 2008  THREADMGMT[t3015207824]: DNSAR(3): Started thread for DNS address resolution
Mon Sep 29 18:25:05 2008  Calling plugin start functions (if any)
Mon Sep 29 18:25:05 2008  SSL is present but https is disabled: use -W <https port> for enabling it
Mon Sep 29 18:25:05 2008  INITWEB: Initializing web server
Mon Sep 29 18:25:05 2008  INITWEB: Initializing TCP/IP socket connections for web server
Mon Sep 29 18:25:05 2008  INITWEB: Initialized socket, port 3000, address (any)
Mon Sep 29 18:25:05 2008  INITWEB: Waiting for HTTP connections on port 3000
Mon Sep 29 18:25:05 2008  INITWEB: Starting web server
Mon Sep 29 18:25:05 2008  THREADMGMT[t3004717968]: WEB: Server connection thread starting [p27177]
Mon Sep 29 18:25:05 2008  Note: SIGPIPE handler set (ignore)
Mon Sep 29 18:25:05 2008  THREADMGMT[t3004717968]: WEB: Server connection thread running [p27177]
Mon Sep 29 18:25:05 2008  WEB: ntop's web server is now processing requests
Mon Sep 29 18:25:05 2008  THREADMGMT[t3004717968]: INITWEB: Started thread for web server
Mon Sep 29 18:25:05 2008  Listening on [eth0]
Mon Sep 29 18:25:05 2008  Loading Plugins
Mon Sep 29 18:25:05 2008  Searching for plugins in /usr/lib/ntop/plugins
Mon Sep 29 18:25:05 2008  LASTSEEN: Welcome to Host Last Seen. (C) 1999 by Andrea Marangoni
Mon Sep 29 18:25:05 2008  ICMP: Welcome to ICMP Watch. (C) 1999-2005 by Luca Deri
Mon Sep 29 18:25:05 2008  NETFLOW: Welcome to NetFlow.(C) 2002-08 by Luca Deri
Mon Sep 29 18:25:05 2008  PDA: Welcome to PDA. (C) 2001-2005 by L.Deri and W.Brock
Mon Sep 29 18:25:05 2008  Remote: Welcome to Remote. (C) 2006-07 by L.Deri
Mon Sep 29 18:25:05 2008  RRD: Welcome to Round-Robin Databases. (C) 2002-07 by Luca Deri.
Mon Sep 29 18:25:05 2008  SFLOW: Welcome to sFlow.(C) 2002-04 by Luca Deri
Mon Sep 29 18:25:05 2008  Calling plugin start functions (if any)
Mon Sep 29 18:25:05 2008  RRD: Welcome to the RRD plugin
Mon Sep 29 18:25:05 2008  RRD: Mask for new directories is 0700
Mon Sep 29 18:25:05 2008  RRD: Mask for new files is 0066
Mon Sep 29 18:25:05 2008  RRD_DEBUG: Parameters:
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpInterval 300 seconds
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpShortInterval 10 seconds
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpHours 72 hours by 300 seconds
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpDays 90 days by hour
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpMonths 36 months by day
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpDomains no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpFlows no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpSubnets no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpHosts no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpInterfaces yes
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpASs no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpMatrix no
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     dumpDetail medium
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     hostsFilter 
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [normal]
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [dynamic/volatile]
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     umask 0066
Mon Sep 29 18:25:05 2008  RRD_DEBUG:     DirPerms 0700
Mon Sep 29 18:25:05 2008  THREADMGMT[t2994228112]: RRD: Data collection thread starting [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT: RRD: Started thread (t2994228112) for data collection
Mon Sep 29 18:25:05 2008  INIT: Created pid file (/var/run/ntop.pid)
Mon Sep 29 18:25:05 2008  THREADMGMT[t3086448432]: ntop RUNSTATE: INITNONROOT(3)
Mon Sep 29 18:25:05 2008  Now running as requested user 'ntop' (497:496)
Mon Sep 29 18:25:05 2008  Note: Reporting device initally set to 0 [eth0] (merged)
Mon Sep 29 18:25:05 2008  THREADMGMT[t3086448432]: ntop RUNSTATE: RUN(4)
Mon Sep 29 18:25:05 2008  THREADMGMT[t3057384336]: SFP: Fingerprint scan thread running [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t3046677392]: SIH: Idle host scan thread running [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t2983738256]: NPS(eth0): pcapDispatch thread starting [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t2983738256]: NPS(eth0): pcapDispatch thread running [p27177]
Mon Sep 29 18:25:05 2008  THREADMGMT[t2983738256]: NPS(1): Started thread for network packet sniffing [eth0]
Mon Sep 29 18:25:15 2008  THREADMGMT[t2956118928]: RRD: Throughput data collection: Thread starting [p27177]
Mon Sep 29 18:25:15 2008  THREADMGMT[t2956118928]: RRD: Throughput data collection: Thread running [p27177]
Mon Sep 29 18:25:15 2008  THREADMGMT[t2956118928]: RRD: Started thread for throughput data collection
Mon Sep 29 18:25:15 2008  THREADMGMT[t2994228112]: RRD: Data collection thread running [p27177]
Segmentation fault
[root@x-www ntop-core]# ls -l1
total 0


And its now RUN! So, I'm do not made any manipulation, it is just start and not segfaulted. It is rust from times to times.
Comment 8 Rakesh Pandit 2008-09-30 00:22:26 EDT
>And its now RUN! So, I'm do not made any manipulation, it is just start and not
>segfaulted. It is rust from times to times.

But with debug info installed, you can run with gdb ntop and print a backtrace, the moment it segfaults.

The problem here is I am not able to reproduce it on any of my available m/c with different F-9, F-8 and rawhide.

And without a backtrace I wouldn't even be able to guess what is happening on your end :(

May you check this page:
https://fedoraproject.org/wiki/StackTraces
Comment 9 Rakesh Pandit 2008-09-30 01:36:06 EDT
https://fedoraproject.org/wiki/StackTraces#special
Check with valgrind if nothing works.

Thanks
Comment 10 Rakesh Pandit 2008-10-01 10:54:03 EDT
For the time being, I will close this as INSUFFICIENT DATA, but in case you are able to provide me bactrace and other info, we can either solve it here or report upstream and get it sorted out.

Thanks

Note You need to log in before you can comment on or make changes to this bug.